org.hibernate.search.query.dsl.impl

## Class ConnectedFacetContinuationContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedFacetContinuationContext

- All Implemented Interfaces:
    FacetContinuationContext

      public class ConnectedFacetContinuationContext
      extends Object
      implements FacetContinuationContext

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedFacetContinuationContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiscreteFacetContext` | `discrete()` Start building a discrete facet
    `<T> FacetRangeAboveBelowContext<T>` | `range()` Start building a range request

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedFacetContinuationContext

          public ConnectedFacetContinuationContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)

  - ### Method Detail

    - #### range

          public <T> FacetRangeAboveBelowContext<T> range()

      Description copied from interface: `FacetContinuationContext`
      Start building a range request
      Specified by:
        `range` in interface `FacetContinuationContext`
      Type Parameters:
        `T` - the type of the values in the range
      Returns:
        a `FacetRangeContext` to continue building the facet request

    - #### discrete

          public DiscreteFacetContext discrete()

      Description copied from interface: `FacetContinuationContext`
      Start building a discrete facet
      Specified by:
        `discrete` in interface `FacetContinuationContext`
      Returns:
        a `FacetRangeContext` to continue building the facet request

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved